{
	"request-ok": "request is done succesfully",
	"request-methodNotAllowed": "request has been rejected, method is not allowed",
	"request-tooMany": "too many request",
	"payload-bad":   "invalid data structure",

	"auth-required": "authentication required",
	"auth-missingHeader": "authentication header is missing",
	"auth-forbidden": "forbidden",
	"auth-login-success": "login success",
	"auth-login-incorrect": "login failed, icorrect username or password",
	"auth-login-tooMany": "login failed, too many login attempts",
	"auth-login-blocked": "login failed, account is blocked",
	"auth-login-unverified": "login failed, account is not verified",
	"auth-logout-success": "logout success",
	"auth-reject-suspend": "restricted for suspended account",
	"auth-getData-failed": "failed to get user data",

	"balance-exceeded": "must not exceeds balance",

	"email-confirmation-success": "email confirmation success",
	"email-confirmation-fail": "failed to confirm email",
	"email-confirmation-resend-fail": "failed to resend email confirmation",

	"data-create-success": "data has been created",
	"data-create-fail":   "failed to create data",
	"data-notFound": "data or resource can not be found",
	"data-notFound-condition": "\"%v\" with %v \"%v\" can not be found",
	"data-get-fail": "get data failed, %v",
	"data-get-invalid-relation": "database get failed, invalid relation",
	"data-update-fail":   "failed to update data",
	"data-delete-success":   "data has been deleted",
	"data-delete-fail":   "failed to delete data",
	"data-send-fail": "send data failed, %v",
	"data-fetch-fail":    "failed to fetch data",
	"data-copy-fail":     "failed to copy data",
	"data-process-fail":  "failed to process data",
	"data-confirm-fail":  "failed to confirm data",
	"data-generate-fail": "failed to generate data",
	"data-registered":    "is already registered",
	"data-state-mismatch": "\"%v\" is not in \"%v\" state",
	"data-duplicate": "duplicate data",
	"data-payment-fail": "failed to create payment",
	"data-handled-mismatch": "data handled by different user/person",

	"expired": "is expired",
	"registered": "is already registered",
	"mustUuid": "must be a valid uuid",
	"invalid": "invalid value",
	"equalToField": "must equal to",
	"constraint-vioalate": "must not violate constraint",

	"config-fetch-done": "app config is fetched successfully",
	"userToken-incorrect": "incorrect email, token, or token type",

	"token-missing": "missing required token",
	"token-invalid": "invalid token",
	"token-invalidType": "invalid token type",
	"token-sign-unexcpeted": "unexpected signing method: %v",
	"token-sign-err": "token signing failed, %v",
	"token-parse-fail": "token parsing failed, %v",
	"token-expired": "token is expired",
	"token-unidentified": "token is could not be identified",

	"file-detect-fail": "file type detection failed",
	"file-type-mismatch": "file type mismatch",
	"file-create-fail": "failed to create file, %v",
	"file-open-fail": "failed to open file, %v",
	"file-copy-fail": "failed to copy file, %v",

	"uuid-gen-fail" : "failed to generate uuid, %v",
	"nanoid-gen-fail" : "failed to generate nanoid, %v",

	"redis-store-fail": "redis storing value failed, %v",

	"eq": "must be equal to %v", 
	"gt": "must be greater than %v",
	"gte": "must be greater than or equal to %v",
	"lt": "must be less than %v",
	"lte": "must be less than or equal to %v"
}
